Egret社区

publish的时候java版本过低

2014-9-3 15:55
16198
1银子
执行publish的时候一直提示java版本过低 检测过好几遍环境变量的配置 java -version javac java都可以执行

装了好几遍jdk都不行 求大神帮帮忙啊!

QQ图片20140903155356.jpg

分享到 :
0 人收藏

8 个回复

倒序浏览
f111fei  官方团队 | 2014-9-3 16:05:35
你这个是JRE , 要装JDK才行
99519qaz  初学乍练 | 2014-9-3 16:35:21
f111fei 发表于 2014-9-3 16:05
你这个是JRE , 要装JDK才行

怎么看jdk还是jre啊  我下的是jdk
guoshaorui  超级斑竹 | 2014-9-3 16:47:08
99519qaz 发表于 2014-9-3 16:35
怎么看jdk还是jre啊  我下的是jdk

检查环境变量中JAVA_HOME的设置,包括系统变量和用户变量
99519qaz  初学乍练 | 2014-9-3 17:20:02
guoshaorui 发表于 2014-9-3 16:47
检查环境变量中JAVA_HOME的设置,包括系统变量和用户变量

C:\Java\jdk1.8.0_20
javahome 是指向的jdk
f111fei  官方团队 | 2014-9-3 18:25:51
test.png
看一下你的这个的输出结果
ztxxxx  登堂入室 | 2014-9-4 09:37:20
本帖最后由 ztxxxx 于 2014-9-4 09:40 编辑

打开这个网站:https://jdk7.java.net/download.html    下载相应系统的jre和jdk。就能解决问题了。先点击Accept接受,然后下载你电脑相应系统的JRE以及JDK安装包,安装完重启电脑,publish应该就没问题了。 y.png
99519qaz  初学乍练 | 2014-9-4 15:41:40
f111fei 发表于 2014-9-3 18:25
看一下你的这个的输出结果

PZ}A{Z$A1})0X3S[0@}A~XV.jpg
testJava的时候提示找不到   但实际上我直接执行[img=0,1]file:///C:\Users\zyh\AppData\Roaming\Tencent\Users\649954838\QQ\WinTemp\RichOle\PZ}A{Z$A1})0X3S[0@}A~XV.jpg[/img]C:\Java\jdk1.8.0_20\bin\java.exe -version 是没有问题的
rainssong  登堂入室 | 2014-9-21 07:30:15
为了玩egret装了一大堆东西,完了还报错,蛋痛- -
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

99519qaz

初学乍练

积分: 6 帖子: 8 精华: 0

楼主热帖

小黑屋|京网文[2014]0791-191号|京ICP证150115号|Egret社区 ( 京ICP备14025619号 )

Powered by Discuz! X3.4 © 2001-2019 Comsenz Inc.

返回顶部